%define libapi 1
%define libmajor 0

Summary: The Light Display Manager
Name: lightdm
Version: 1.0.11
Release: %mkrel 1
License: GPLv3+
Group: Graphical desktop/Other
Source0: https://launchpad.net/lightdm/trunk/%{version}/+download/%name-%version.tar.gz
Patch0: lightdm-1.0.6-link.patch
URL: http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-export-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(QtCore)
BuildRequires: pkgconfig(QtDBus)
BuildRequires: pkgconfig(QtGui)
BuildRequires: pkgconfig(QtNetwork)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xdmcp)
BuildRequires: gtk-doc
BuildRequires: intltool >= 0.35.0
BuildRequires: gettext-devel
BuildRequires: gnome-common
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: vala-tools
BuildRequires: pam-devel
Suggests: lightdm-greeter

%description
An X display manager that:
  * Has a lightweight codebase
  * Is standards compliant (PAM, ConsoleKit, etc)
  * Has a well defined interface between the server and user interface
  * Fully themeable (easiest with the webkit interface)
  * Cross-desktop (greeters can be written in any toolkit)

#-------------------------------------------------------------------------
%package gtk-greeter
Summary: LightDM GTK+ Greeter
Group: Graphical desktop/Other
Requires: lightdm = %{version}
Provides: lightdm-greeter

%description gtk-greeter
A LightDM greeter that uses the GTK+ toolkit.

%files gtk-greeter
%config(noreplace) %{_sysconfdir}/%{name}/lightdm-gtk-greeter.conf
%{_sbindir}/%{name}-gtk-greeter
%{_datadir}/%{name}-gtk-greeter
%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop

#-------------------------------------------------------------------------
%package qt-greeter
Summary: LightDM Qt Greeter
Requires: lightdm
Group: Graphical desktop/Other
Requires: lightdm = %{version}
Provides: lightdm-greeter

%description qt-greeter
A LightDM greeter that uses the Qt toolkit.

%files qt-greeter
%{_sbindir}/%{name}-qt-greeter
%{_datadir}/xgreeters/lightdm-qt-greeter.desktop

#-------------------------------------------------------------------------
%define liblightdmgobject %mklibname lightdm-gobject %libapi %libmajor
%package -n %{liblightdmgobject}
Summary: LightDM GObject client library
Group: Graphical desktop/Other
Requires: lightdm = %{version}

%description -n %{liblightdmgobject}
A GObject based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmgobject}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}.*

#-------------------------------------------------------------------------
%define liblightdmgir %mklibname lightdm-gir %libapi
%package -n %{liblightdmgir}
Summary: Typelib file for liblightdm-1
Group: Graphical desktop/Other
Requires: %{liblightdmgobject} = %{version}

%description -n %{liblightdmgir}
A GObject based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmgir}
%{_libdir}/girepository-1.0/LightDM-%{libapi}.typelib

#-------------------------------------------------------------------------
%define liblightdmgobjectdevel %mklibname -d lightdm-gobject
%package -n %{liblightdmgobjectdevel}
Summary: LightDM client library (development files)
Group: Graphical desktop/Other
Requires: %{liblightdmgobject} = %{version}
Provides: lightdm-gobject-devel = %{version}-%{release}

%description -n %{liblightdmgobjectdevel}
A GObject based library for LightDM clients to use to interface with LightDM.

This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%files -n %{liblightdmgobjectdevel}
%{_includedir}/lightdm-gobject-%{libapi}
%{_libdir}/liblightdm-gobject-%{libapi}.so
%{_libdir}/pkgconfig/liblightdm-gobject-%{libapi}.pc
%{_datadir}/gtk-doc/html/lightdm-gobject-%{libapi}
%{_datadir}/gir-1.0/LightDM-%{libapi}.gir
%{_datadir}/vala/vapi/liblightdm-gobject-%{libapi}.vapi

#-------------------------------------------------------------------------
%define liblightdmqt %mklibname lightdm-qt %libapi %libmajor
%package -n %{liblightdmqt}
Summary: LightDM Qt client library
Group: Graphical desktop/Other
Requires: lightdm = %{version}

%description -n %{liblightdmqt}
A Qt based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmqt}
%{_libdir}/liblightdm-qt-%{libapi}.so.%{libmajor}
%{_libdir}/liblightdm-qt-%{libapi}.so.%{libmajor}.*

#-------------------------------------------------------------------------
%define liblightdmqtdevel %mklibname -d lightdm-qt
%package -n %{liblightdmqtdevel}
Summary: LightDM client library (development files)
Group: Graphical desktop/Other
Requires: %{liblightdmqt} = %{version}
Provides: lightdm-qt-devel = %{version}-%{release}

%description -n %{liblightdmqtdevel}
A Qt based library for LightDM clients to use to interface with LightDM.

This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%files -n %{liblightdmqtdevel}
%{_includedir}/lightdm-qt-%{libapi}
%{_libdir}/liblightdm-qt-%{libapi}.so
%{_libdir}/pkgconfig/liblightdm-qt-%{libapi}.pc

#-------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
find -name *_moc.cpp -delete

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la
rm -f %buildroot%{_sysconfdir}/apparmor.d/lightdm-guest-session

install -D -m0755 utils/gdmflexiserver %{buildroot}%{_libexecdir}/%{name}/gdmflexiserver

%{find_lang} %{name}

%files -f %name.lang
%dir %{_sysconfdir}/%name
%config(noreplace) %{_sysconfdir}/%name/keys.conf
%config(noreplace) %{_sysconfdir}/%name/lightdm.conf
%config(noreplace) %{_sysconfdir}/%name/users.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_sysconfdir}/init/lightdm.conf
%{_sbindir}/%{name}
%{_bindir}/dm-tool
%{_libexecdir}/lightdm-guest-session-wrapper
%{_libexecdir}/lightdm-set-defaults
%{_libexecdir}/%{name}/gdmflexiserver
%{_mandir}/man1/%{name}.1*


%changelog

* Sat Apr 07 2012 fwang <fwang> 1.0.11-1.mga2
+ Revision: 229459
- new version 1.0.11
- more linkage fix
- fix linkage
- new version 1.1.4

* Mon Jan 02 2012 fwang <fwang> 1.0.6-1.mga2
+ Revision: 189591
- workaround for scripts
- fix build with latest glib
- fix build
- use gnome-autogen
- br gettext
- linkage fix
- new version 1.0.6

* Sun Oct 02 2011 fwang <fwang> 1.0.0-1.mga2
+ Revision: 150819
- new version 1.0.0

* Sat Sep 17 2011 fwang <fwang> 0.9.7-1.mga2
+ Revision: 144567
- update file list
- br dbus-glib for dbus-binding-tool
- new version 0.9.7
- imported package lightdm

